﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RatDtxSample
{
    class Program
    {
        static void Main(string[] args)
        {

            DataTools_DtRat.Dtx myRat = new DataTools_DtRat.Dtx();
            string addressline = "27 hunter st";
            string localityline = "parramatta nsw 2153";
            myRat.DtxOpen();

            string mystrcol;
            
            long lngProcessID;
            try
            {
                lngProcessID = myRat.DtxCreateProcess();
                int myres;
                Object objPID = (Object)lngProcessID.ToString();
                Object objAdd = (Object)addressline;
                Object objLoc = (Object)localityline;
                Object objConstAddLine = (Object)(String.Copy("Address_Line"));
                Object objConstLoc = (Object)(String.Copy("Locality"));
                Object objConstState = (Object)(String.Copy("State"));
                Object objConstPostcode = (Object)(String.Copy("Postcode"));
                Object objConstDpid = (Object)(String.Copy("Dpid"));
                int one = 1;
                Object objConstOne = (Object)one;
                
                myres = myRat.DtxSearchAddressLineAMAS(ref objPID, ref objAdd, ref objLoc);
                mystrcol = myres.ToString();
                mystrcol += "*" + myRat.DtxExtractResultField(ref objPID, ref objConstAddLine, ref objConstOne);
                mystrcol += "*" + myRat.DtxExtractResultField(ref objPID, ref objConstLoc, ref objConstOne);
                mystrcol += "*" + myRat.DtxExtractResultField(ref objPID, ref objConstState, ref objConstOne);
                mystrcol += "*" + myRat.DtxExtractResultField(ref objPID, ref objConstPostcode, ref objConstOne);
                mystrcol += "*" + myRat.DtxExtractResultField(ref objPID, ref objConstDpid, ref objConstOne);
                myRat.DtxDisposeOfProcess(ref objPID);

                Console.WriteLine(mystrcol);
                
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                
                
            }






            myRat.DtxClose();

            Console.ReadLine();
        }
    }
}
